Jump to content

Hey guys! New to PSP emulation


Recommended Posts

Hello!

 

Ive had my PSP for a while now (I originally bought it with the intention of running emulators on it) but I never followed through.

 

I can confirm it is NOT a TA-082 and I have a 2GB memory stick for it. It currently has 3.40 firmware installed.

 

So, from here what would I need to do? I plan on running some of my old fav's from Super NES (FF3, Chrono Trigger, etc...) and a few from the original NES as well for the record.

 

Thanks! :P

 

 

EDIT - Just thought Id add a bit more, from what Ive read Ill need to Downgrade my firmware to 1.50 but it seems atm that there is no 3.40 downgrader out.

 

Do you guys know of a list of known emulators for the PSP?

 

Thanks again.

Edited by DragonKeeper
Link to comment
Share on other sites

Unfortunately, 3.40 cannot run anything like that. In fact, 3.40 can't do anything except for what's listed on the box.

 

To use 'homebrew' like emulators, as a rule, you need to be running version 1.50 first of all. There are methods for everything up to 3.03 to downgrade to 1.50, but not 3.40. There might be one made available in the future though, so whatever you do do not upgrade to any higher firmwares as they are released.

 

When you read about custom firmwares, like 3.40 OE-A, they are hacked system software that are not from Sony, and must be installed from version 1.50.

 

So sorry, you're out of luck for the moment. As I said, don't upgrade further and you might be able to play some emulators sometime soon.

 

As for a list of emulators, try this Maxconsole thread.

 

Also, please try not to double-post.

Link to comment
Share on other sites

UPDATE: Coincidentally, my friend just walked in the office with his PSP, requesting the same deal, to downgrade it to 1.50.

 

His IS a TA-082 (It clearly has the "IC1003" on the MB) and his current firmware is 3.02.

 

I've heard the TA-082 is now downgradable after doing some searching, but I could be wrong...

 

Anywho, if someone could link me to the appropriate downgrader I would greatly appreciate it.

 

Thanks!

Edited by Postalp
Link to comment
Share on other sites

There is a downgrader for firmware 3.03 by N00bz!, but in order to run it you need an unpatched UMD of GTA LCS. If you have said UMD, get the downgrader here: N00bz! 3.03 downgrader (It will work fine with the TA-082)

In case you were wondering: yes, this means he would have to upgrade to 3.03 before he could downgrade.

Link to comment
Share on other sites

Thanks Mooney!

 

I take it GTA: LCS is reccomended because it has 3.03 update on it.

No, that is the wrong GTA:LCS UMD. The one you'll need has an update to 2.60.

Link to comment
Share on other sites

Follow Up: I have successfully downgraded my friend's PSP to 1.5 and has fully functional emulators (NES & SNES).

 

He's a happy camper, yet kinda sad that he lost alot of features his PSP had @ 3.02.

 

I heard that there is a homebrewed firmware out there (3.30xx or something like that by Dark_Alex) that allows you all the functionality of the official 3.30 firmware, yet allows homebrew access to the emulators, etc..., is this true???

 

Thanks Again!

Link to comment
Share on other sites

Follow Up: I have successfully downgraded my friend's PSP to 1.5 and has fully functional emulators (NES & SNES).

 

He's a happy camper, yet kinda sad that he lost alot of features his PSP had @ 3.02.

 

I heard that there is a homebrewed firmware out there (3.30xx or something like that by Dark_Alex) that allows you all the functionality of the official 3.30 firmware, yet allows homebrew access to the emulators, etc..., is this true???

 

Thanks Again!

Yes, it is true. Dark_Alex has been churning out custom firmwares that give you the compatibility and features of the latest firmware, with the homebrew support of 1.50. The latest custom firmware is 3.40 OE-A, which you can download here: www.dark-alex.org

 

Feel free to post again if you need any more help! :huh:

Link to comment
Share on other sites

  • 1 month later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...